<cms:template title='Events Calendar' clonable='1'>
    <cms:editable name='desc' label='Description' type='textarea' />
    <cms:editable name='location' label='Location' type='text' />
    <cms:editable name="start_time" label="Time From (12 Hrs AM/PM)" opt_values="<cms:embed 'layouts/calendar-times.php'/>" type='dropdown' />    
    <cms:editable name="end_time" label="Time Until (12 Hrs AM/PM)" opt_values="<cms:embed 'layouts/calendar-times.php'/>" type='dropdown' /> 
    <cms:editable name='end_date' label='Event End Date (if multi-days event)' desc='Enter date in yyyy-mm-dd format e.g. 2014-08-02' type='text' validator='regex=/(?:19|20)\d\d-(?:0[1-9]|1[012])-(?:0[1-9]|[12][0-9]|3[01])/' separator='#' validator_msg='regex=Oops, Incorrect date format' />   
    <cms:editable name='datepicker' type='message'> 
		<link rel="stylesheet" type="text/css" media="all" href="<cms:show k_admin_link />addons/datepicker/datepicker.css" />
		<script type="text/javascript" src="<cms:show k_admin_link />addons/datepicker/datepicker.js"></script>
		<script type="text/javascript">
			window.addEvent('domready', 
			    function(){ 
					$('f_end_date').addEvent('click', function(e){
						displayDatePicker('f_end_date');
					});
			    }
			);
		</script>
    </cms:editable>
	<cms:editable name="enable_event_map" label="Do you want to show the MAP?" desc="" opt_values='yes= | no=hideThisItem' type='radio' />
	<cms:editable name="googleMapsZoomLevel" label="Calendar Zoom Level" desc="The LOWER the number the closer the zoom" opt_values="<cms:embed 'layouts/calendar-zoom.php'/>" opt_selected = '14' type='dropdown'  />   
	<cms:editable name="enable_streetview_map" label="Do you want to show the STEET VIEW?" desc="" opt_values='yes= | no=hideThisItem' type='radio' />
	<cms:editable name="googleStreetMapsZoomLevel" label="Street View Zoom In Level" desc="The HIGHER the number the closer the zoom" opt_values="<cms:embed 'layouts/street-view-zoom.php'/>" opt_selected = '1' type='dropdown'  />   
</cms:template>