        <cms:if k_is_page >
            <section class="list-event">
                <button class="cal-back-btn" onclick="goBack()" title="Return to Calendar"></button>
                <div class="list-event-details-container">
                    <div class="list-event-title">
                        <strong>Event:</strong> <cms:show k_page_title />
                    </div>
                    <div class="list-event-description">
                        <strong>Description:</strong> <cms:show desc />
                    </div>
                    <div class="list-event-location">
                        <strong>Location:</strong> <cms:show location /><br />
                    </div>
                    <div class="event-start-end-container">
                        <div class="list-event-dates-container">
                            <cms:if "<cms:not_empty end_date />" >
                                    <div class="list-event-start-date">
                                        <strong>Start Date:</strong> <cms:date k_page_date format='F j, Y' />
                                    </div>
                                <cms:else />
                                    <div class="list-event-single-date">
                                        <strong>Date:</strong> <cms:date k_page_date format='F j, Y' />
                                    </div>
                            </cms:if>
                            <cms:if "<cms:not_empty end_date />" >
                                <div class="list-event-end-date">
                                    <strong>End Date:</strong> <cms:date end_date format='F j, Y' />
                                </div>
                            </cms:if>
                        </div>
                        <div class="list-event-times-container">
                            <cms:if (end_time != 'Unspecified') >
                                    <cms:if start_time!='Unspecified' >
                                        <div class="list-event-start-time">
                                            <strong>Start Time:</strong> <cms:show start_time />
                                        </div>
                                    </cms:if>

                                    <cms:if end_time!='Unspecified' >
                                        <div class="list-event-end-time">
                                            <strong>End Time:</strong> <cms:show end_time /><br />
                                        </div>
                                    </cms:if>  
                                <cms:else />
                                    <cms:if start_time!='Unspecified' >
                                        <div class="list-event-single-time">
                                            <strong>Time:</strong> <cms:show start_time />
                                        </div>
                                    </cms:if>  
                            </cms:if>
                        </div>
                    </div>
                </div>
                <div id="map_StreetView" style="width: 350px; height: 250px" class="<cms:php> echo '<cms:show enable_streetview_map />';</cms:php>" ></div>
                <div id="map" style="height:200px; width: 530px" class="<cms:php> echo '<cms:show enable_event_map />';</cms:php>" ></div>
                <script type="text/javascript"> 
                    var jeremymapZoomLevel = parseInt("<cms:php> echo '<cms:show googleMapsZoomLevel />'; </cms:php>");
                    var jeremymapStreetZoomLevel = parseInt("<cms:php> echo '<cms:show googleStreetMapsZoomLevel />'; </cms:php>");                  
                </script>
            </section>
        <cms:else />
            <cms:calendar date="<cms:gpc 'cal' />" masterpage=k_template_name show_future_entries='1' >
                <table class="calendar_big">
                    <tr class="month-header-row">
                        <th><a href="<cms:concat k_page_link '?cal=' k_prev_calendar_date />" class="cal-nav cal-nav-right"></a></th>
                        <th class="cal-month" colspan="5" style="color:<cms:get_custom_field 'calendar_month_color' masterpage='globals.php' />;"><cms:date k_calendar_date format='F Y' /></th>
                        <th><a href="<cms:concat k_page_link '?cal=' k_next_calendar_date />" class="cal-nav cal-nav-left"></a></th>
                    </tr>
                    <tr id="days_header_row">
                        <cms:repeat count='7'>
                            <td class="day-heading" style="background-color:<cms:get_custom_field 'calendar_days_background' masterpage='globals.php' />;color:<cms:get_custom_field 'calendar_days_color' masterpage='globals.php' />;"><cms:zebra 'Sunday' 'Monday' 'Tuesday' 'Wednesday' 'Thursday' 'Friday' 'Saturday'/></td>
                        </cms:repeat>
                    </tr>
                    <cms:weeks>
                        <tr class="a-week">
                        <cms:days >
                            <cms:if k_timeline_position='present'>
                                <cms:set tdclass='today' />
                            <cms:else />
                                <cms:set tdclass='' />
                            </cms:if>
                          
                            <cms:if k_position='current_month' >
                                <cms:if k_count_entries >
                                    <td class='entries <cms:show tdclass />' align='center'>
                                        <a href="#" class="entry-day"><cms:show k_day /></a>
                                        <ul class="a-day2">
                                        <cms:entries limit='2' skip_custom_fields='1'>
                                            <li>
                                                <a href="<cms:show k_page_link />"><cms:show k_page_title /></a>
                                            </li>
                                        </cms:entries>
                                        </ul>
                                    </td>
                                <cms:else />
                                    <td class='<cms:show tdclass /> a-day' ><cms:show k_day /></td>
                                </cms:if>
                            <cms:else />
                                <td class='other_month a-day'><cms:show k_day /></td>
                            </cms:if>
                        </cms:days>
                        </tr>
                    </cms:weeks>
                </table>
            </cms:calendar>
        </cms:if>
        <script type="text/javascript">//<![CDATA[ 
            window.onload=function(){  
                initialize();
                codeAddress();
            }//]]>  
        </script>
        <script type="text/javascript" src="http://maps.google.com/maps/api/js?sensor=false"></script>
        <script type="text/javascript">
            var mapZoomLevel = jeremymapZoomLevel;
            var streetViewZoomLevel = jeremymapStreetZoomLevel;
            var geocoder; 
            var map;
            function initialize()
            {
                geocoder = new google.maps.Geocoder();
                map = new google.maps.Map(document.getElementById("map"),
                {
                    zoom: mapZoomLevel,
                    center: new google.maps.LatLng(22.7964,79.5410),
                    mapTypeId: google.maps.MapTypeId.ROADMAP
                });
            }
            function showTheStreetView(){
                map.StreetView = new  google.maps.StreetViewPanorama(document.getElementById("map_StreetView"), {
                    position: map.getCenter(),
                    pov: { heading: 0, pitch: 0, zoom: streetViewZoomLevel }
                });
                document.getElementById('map_StreetView').style.opacity  = '1'; 
            }
            function codeAddress()
            {
                var address="<cms:php> echo '<cms:show location />'; </cms:php>"
                geocoder.geocode( { 'address': address}, function(results, status)
                {
                    if (status == google.maps.GeocoderStatus.OK)
                    {
                        map.setCenter(results[0].geometry.location);
                        var marker = new google.maps.Marker(
                        {
                            map: map,
                            position: results[0].geometry.location
                        });
                        document.getElementById('map').style.opacity  = '1'; 
                        showTheStreetView();
                    }
                    else
                    {
                        document.getElementById('map').style.display = 'none'; 
                        //alert("Geocode was not successful for the following reason: " + status);
                    }
                });
            }
            function goBack() {window.history.back()}
        </script> 